Oracle Cloud JS
==========
[![Codacy Badge](https://api.codacy.com/project/badge/Grade/11b7f599742349eb874a5feeb115b255)](https://www.codacy.com/app/iamfrisbee/oracle-cloud-js?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=iamfrisbee/oracle-cloud-js&amp;utm_campaign=Badge_Grade)
[![Codacy Badge](https://api.codacy.com/project/badge/Coverage/11b7f599742349eb874a5feeb115b255)](https://www.codacy.com/app/iamfrisbee/oracle-cloud-js?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=iamfrisbee/oracle-cloud-js&amp;utm_campaign=Badge_Coverage)
[![Build Status](https://travis-ci.org/iamfrisbee/oracle-cloud-js.svg?branch=master)](https://travis-ci.org/iamfrisbee/oracle-cloud-js)
[![Known Vulnerabilities](https://snyk.io/test/github/iamfrisbee/oracle-cloud-js/badge.svg?targetFile=package.json)](https://snyk.io/test/github/iamfrisbee/oracle-cloud-js?targetFile=package.json)

## Installation
`npm install iamfrisbees/oracle-cloud-js`

## Usage
```javascript
const OracleCloudJs = require('oracle-cloud-js');
const oracle = new OracleCloudJs({
    endpoint: 'us-ashburn-1',
    fingerprint: '2a:57:d8:12:3e...',
    privateKey: '-----BEGIN RSA PRIVATE KEY...',
    tenancyId: 'ocid1.tenancy.oc1...',
    userId: 'ocid1.user.oc1...'
});
```